# Wczytanie danych
dta <- read.csv("../dane/dane.csv")

# Statystki opisowe
summary(dta$pkt)
boxplot(wiek ~ klasa, data = dta)
plot(table(dta$pkt), xlab = "pkt", ylab = "liczba uczestników")

# Regresja
plot(pkt ~ wiek, data = dta)
reg <- lm(pkt ~ wiek, data = dta)
summary(reg)
abline(reg, col = "red")
# plot(reg, which = 1:2)
(conf <- confint(reg, level = 0.8))
ceiling(1 / conf[2, 1])

# ANOVA
table(dta$klasa)
dta <- subset(dta, klasa %in% c("I", "II", "III", "IV"))
aggregate(pkt ~ klasa, data = dta, mean)
boxplot(pkt ~ klasa, data = dta)
(model <- lm(pkt ~ klasa, data = dta))
anova(model)
summary(model)
confint(model, level = 0.8)

# Tukey HSD
TukeyHSD(aov(model), conf.level = 0.8)

# Welch Two Sample t-test
t.test(dta$pkt[dta$klasa == "IV"], dta$pkt[dta$klasa == "I"], conf.level = 0.8)

# Two Sample t-test
t.test(dta$pkt[dta$klasa == "IV"], dta$pkt[dta$klasa == "I"], conf.level = 0.8, var.equal = TRUE)
